# Makefile for SPS (4.1BSD UNIX Version)

PROG    =       sps
OBJS    =       filecount.o findtty.o flagdecode.o flagsetup.o \
		getcmd.o getupage.o globals1.o globals2.o hashuid.o \
		initialise.o initsymbols.o inittty.o main.o mktree.o \
		needed.o openfiles.o percentmem.o prcmd.o prcpu.o \
		prheader.o printall.o printproc.o prsummary.o readstatus.o \
		selectproc.o selecttty.o termwidth.o ttystatus.o waitingfor.o

INCS    =       sps.h
LIBS    =       -ltermlib
CFLAGS  =       -I/usr/src/sys -DCHAOS

all:            $(PROG)
.c.o:
		cc $(CFLAGS) -c -O -R $<
globals1.o waitingfor.o:
		cc $(CFLAGS) -c -O $<

$(OBJS):        $(INCS)

$(PROG):        $(OBJS)
		cc -o $@ $(OBJS) $(LIBS)

install:        $(PROG)
		strip $(PROG)
		mv $(PROG) /bin/$(PROG)
		/etc/chown root /bin/$(PROG)
		chmod 4711 /bin/$(PROG)

lint:
		lint -x -b $(CFLAGS) *.c
clean:
		rm -f $(OBJS) $(PROG)
